Redmine - Defect #16382

RTL issues when Arabic and Latin Characters are mixed

2014-03-19 11:51 - Ouss Orange

Status: New Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 24.0
Description

When displaying fields containing mixed latin and arabic characters, the formatting get messy. The reader cannot tell where the
sentence starts and where it ends. Arabic words get wrapped in a peculiar way around Latin words (and/or vice versa).

I would assume this is the case for Hebrew characters as well since it is also a Right To Left language.

This is a well known issue:

http://www.w3.0rg/TR/WCAG20-TECHS/H34
http://www.w3.org/International/articles/inline-bidi-markup/

History

#1 - 2014-03-19 16:06 - Ouss Orange

The method Facebook is using to solve this issue works very well

#2 - 2014-04-17 10:13 - Toshi MARUYAMA

- Category changed from Text formatting to 118n
